Subject: Re: sig. subpacket & length conflicts?

From: [email-masked]
Date: Wed, 19 Jul 2000 21:19:04 -0700

Erron writes:
> Maybe in a version 5 sig., simply make the signature subpacket length 
> definition packet equal to a two octet scalar - this would then marry with 
> the total length of all un/hashed subpackets and would also reduce the 
> amount of processing required to determine the length of a signature subpacket.

Maybe so.  We have had many complaints that the current variable-length
packet-length mechanism is somewhat over-engineered for the purpose.
Still, almost all subpackets are short enough that one byte is enough
for the length, so you do save a few bytes by using the compressed
length encoding.

Hal